classification
Title: Python/pyhash.c warning: comparison of integers of different signs
Type: compile error Stage: resolved
Components: Interpreter Core Versions: Python 3.8, Python 3.7, Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: christian.heimes, inada.naoki, miss-islington, xdegaye
Priority: normal Keywords: easy (C), patch

Created on 2017-10-23 16:01 by xdegaye, last changed 2018-06-05 06:54 by inada.naoki. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 6799 merged python-dev, 2018-05-14 14:35
PR 7393 merged miss-islington, 2018-06-04 10:58
PR 7394 merged miss-islington, 2018-06-04 10:59
Messages (4)
msg304816 - (view) Author: Xavier de Gaye (xdegaye) * (Python triager) Date: 2017-10-23 16:01
When built with: Android clang version 3.8.275480  (based on LLVM 3.8.275480)

The following warning is emitted:

ccache /pathto/android/android-ndk/toolchains/llvm/prebuilt/linux-x86_64/bin/clang -target x86_64-none-linux-androideabi -gcc-toolchain /pathto/android/android-ndk/toolchains/x86_64-4.9/prebuilt/linux-x86_64 -c -Wno-unused-result -Wsign-compare -Wunreachable-code -DNDEBUG -g -fwrapv -O3 -Wall -Wstrict-prototypes --sysroot=/pathto/android/android-ndk/sysroot -D__ANDROID_API__=21 -isystem /pathto/android/android-ndk/sysroot/usr/include/x86_64-linux-android -Wno-unused-value -Wno-empty-body -Qunused-arguments -Wno-nullability-completeness -Wno-parentheses-equality   -std=c99 -Wextra -Wno-unused-result -Wno-unused-parameter -Wno-missing-field-initializers -Werror=implicit-function-declaration  -IObjects -IInclude -IPython -I. -I/pathto/src/python/master/Include -I/pathto/tmp/android-makesetup/build/python3.7-extlibs-android-21-x86_64//data/local/tmp/python/include --sysroot=/pathto/android/android-ndk/sysroot -D__ANDROID_API__=21 -isystem /pathto/android/android-ndk/sysroot/usr/include/x86_64-linux-android   -DPy_BUILD_CORE -o Python/pyhash.o /pathto/src/python/master/Python/pyhash.c
/pathto/src/python/master/Python/pyhash.c:275:11: warning: comparison of integers of different signs: 'Py_uhash_t' (aka 'unsigned long') and 'int' [-Wsign-compare]
    if (x == -1) {
        ~ ^  ~~
1 warning generated.
msg318642 - (view) Author: Inada Naoki (inada.naoki) * (Python committer) Date: 2018-06-04 10:57
New changeset a8eb58546b37a7cd5f332f019bb07388f5212c2d by INADA Naoki (A. Jesse Jiryu Davis) in branch 'master':
bpo-31849: Fix warning in pyhash.c (GH-6799)
https://github.com/python/cpython/commit/a8eb58546b37a7cd5f332f019bb07388f5212c2d
msg318678 - (view) Author: miss-islington (miss-islington) Date: 2018-06-04 17:14
New changeset 4251d2a3540bf7a23949c7fafad64b796585674a by Miss Islington (bot) in branch '3.6':
bpo-31849: Fix warning in pyhash.c (GH-6799)
https://github.com/python/cpython/commit/4251d2a3540bf7a23949c7fafad64b796585674a
msg318687 - (view) Author: miss-islington (miss-islington) Date: 2018-06-04 17:31
New changeset 150033d1599f55c10860a733d370707a3f7c444e by Miss Islington (bot) in branch '3.7':
bpo-31849: Fix warning in pyhash.c (GH-6799)
https://github.com/python/cpython/commit/150033d1599f55c10860a733d370707a3f7c444e
History
Date User Action Args
2018-06-05 06:54:27inada.naokisetstatus: open -> closed
stage: patch review -> resolved
resolution: fixed
versions: + Python 3.6, Python 3.8
2018-06-04 17:31:10miss-islingtonsetmessages: + msg318687
2018-06-04 17:14:29miss-islingtonsetnosy: + miss-islington
messages: + msg318678
2018-06-04 10:59:17miss-islingtonsetpull_requests: + pull_request7020
2018-06-04 10:58:17miss-islingtonsetpull_requests: + pull_request7019
2018-06-04 10:57:10inada.naokisetnosy: + inada.naoki
messages: + msg318642
2018-05-14 14:35:13python-devsetkeywords: + patch
stage: needs patch -> patch review
pull_requests: + pull_request6484
2017-10-23 16:03:39serhiy.storchakasetkeywords: + easy (C)
stage: needs patch
2017-10-23 16:01:16xdegayecreate